com.holonplatform.datastore.mongo.core.enumerations

## Enum MongoReadConcern

- java.lang.Object
- - java.lang.Enum<MongoReadConcern>
  - - com.holonplatform.datastore.mongo.core.enumerations.MongoReadConcern

- All Implemented Interfaces:
    Serializable, Comparable<MongoReadConcern>

      public enum MongoReadConcern
      extends Enum<MongoReadConcern>

  MongoDB `ReadConcern` enumeration.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` The servers default read concern.
    `LINEARIZABLE` The linearizable read concern.
    `LOCAL` The local read concern.
    `MAJORITY` The majority read concern.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.mongodb.ReadConcern` | `getReadConcern()` Get the actual `ReadConcern` implementation.
    `static MongoReadConcern` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MongoReadConcern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final MongoReadConcern DEFAULT

      The servers default read concern.

    - #### LOCAL

          public static final MongoReadConcern LOCAL

      The local read concern.

    - #### MAJORITY

          public static final MongoReadConcern MAJORITY

      The majority read concern.

    - #### LINEARIZABLE

          public static final MongoReadConcern LINEARIZABLE

      The linearizable read concern.

      This read concern is only compatible with `ReadPreference.primary()`.

  - ### Method Detail

    - #### values

          public static MongoReadConcern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MongoReadConcern c : MongoReadConcern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MongoReadConcern valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadConcern

          public com.mongodb.ReadConcern getReadConcern()

      Get the actual `ReadConcern` implementation.
      Returns:
        the read concern implementation

Copyright © 2019 The Holon Platform. All rights reserved.